org.richfaces.taglib

## Class TabPanelTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.TabPanelTagBase
              - - org.richfaces.taglib.TabPanelTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class TabPanelTag
      extends TabPanelTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabPanelTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setActiveTabClass(javax.el.ValueExpression __activeTabClass)` A CSS class to be applied to an active tab Setter for activeTabClass
    `void` | `setContentClass(javax.el.ValueExpression __contentClass)` A CSS class for content of a tab panel Setter for contentClass
    `void` | `setContentStyle(javax.el.ValueExpression __contentStyle)` A CSS style is for the content of a tab panel Setter for contentStyle
    `void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
    `void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
    `void` | `setDisabledTabClass(javax.el.ValueExpression __disabledTabClass)` A CSS class to be applied to a disabled tab Setter for disabledTabClass
    `void` | `setHeaderAlignment(javax.el.ValueExpression __headerAlignment)` Sets tab headers alignment.
    `void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` A CSS style is for the header of a tab panel.
    `void` | `setHeaderSpacing(javax.el.ValueExpression __headerSpacing)` Sets tab headers spacing.
    `void` | `setHeight(javax.el.ValueExpression __height)` Height of a tab panel defined in pixels or in percents Setter for height
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
    `void` | `setInactiveTabClass(javax.el.ValueExpression __inactiveTabClass)` CSS class to be applied to an inactive (but not disabled) tab Setter for inactiveTabClass
    `void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
    `void` | `setOntabchange(javax.el.ValueExpression __ontabchange)` HTML: a script expression; a tab has been changed Setter for ontabchange
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
    `void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
    `void` | `setSwitchType(javax.el.ValueExpression __switchType)` Tabs switch mode: "client", "server"(default), "ajax" Setter for switchType
    `void` | `setTabClass(javax.el.ValueExpression __tabClass)` A CSS class to be applied to all tabs Setter for tabClass
    `void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
    `void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
    `void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
    `void` | `setWidth(javax.el.ValueExpression __width)` Width of a tab panel defined in pixels or in percents.

    - ### Methods inherited from class org.richfaces.taglib.TabPanelTagBase

      `setSelectedTab, setValue`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### TabPanelTag

          public TabPanelTag()

  - ### Method Detail

    - #### setActiveTabClass

          public void setActiveTabClass(javax.el.ValueExpression __activeTabClass)

      A CSS class to be applied to an active tab Setter for activeTabClass
      Parameters:
        `activeTabClass` - - new value

    - #### setContentClass

          public void setContentClass(javax.el.ValueExpression __contentClass)

      A CSS class for content of a tab panel Setter for contentClass
      Parameters:
        `contentClass` - - new value

    - #### setContentStyle

          public void setContentStyle(javax.el.ValueExpression __contentStyle)

      A CSS style is for the content of a tab panel Setter for contentStyle
      Parameters:
        `contentStyle` - - new value

    - #### setConverter

          public void setConverter(javax.el.ValueExpression __converter)

      Id of Converter to be used or reference to a Converter Setter for converter
      Parameters:
        `converter` - - new value

    - #### setConverterMessage

          public void setConverterMessage(javax.el.ValueExpression __converterMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
      Parameters:
        `converterMessage` - - new value

    - #### setDisabledTabClass

          public void setDisabledTabClass(javax.el.ValueExpression __disabledTabClass)

      A CSS class to be applied to a disabled tab Setter for disabledTabClass
      Parameters:
        `disabledTabClass` - - new value

    - #### setHeaderAlignment

          public void setHeaderAlignment(javax.el.ValueExpression __headerAlignment)

      Sets tab headers alignment. It can be "left" or "right". Default value is "left". Setter for headerAlignment
      Parameters:
        `headerAlignment` - - new value

    - #### setHeaderClass

          public void setHeaderClass(javax.el.ValueExpression __headerClass)

      A CSS style is for the header of a tab panel. Setter for headerClass
      Parameters:
        `headerClass` - - new value

    - #### setHeaderSpacing

          public void setHeaderSpacing(javax.el.ValueExpression __headerSpacing)

      Sets tab headers spacing. It should be a valid size unit expression. Default value is "1px". Setter for headerSpacing
      Parameters:
        `headerSpacing` - - new value

    - #### setHeight

          public void setHeight(javax.el.ValueExpression __height)

      Height of a tab panel defined in pixels or in percents Setter for height
      Parameters:
        `height` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setInactiveTabClass

          public void setInactiveTabClass(javax.el.ValueExpression __inactiveTabClass)

      CSS class to be applied to an inactive (but not disabled) tab Setter for inactiveTabClass
      Parameters:
        `inactiveTabClass` - - new value

    - #### setLabel

          public void setLabel(javax.el.ValueExpression __label)

      A localized user presentable name for this component. Setter for label
      Parameters:
        `label` - - new value

    - #### setOntabchange

          public void setOntabchange(javax.el.ValueExpression __ontabchange)

      HTML: a script expression; a tab has been changed Setter for ontabchange
      Parameters:
        `ontabchange` - - new value

    - #### setRequired

          public void setRequired(javax.el.ValueExpression __required)

      If "true", this component is checked for non-empty input Setter for required
      Parameters:
        `required` - - new value

    - #### setRequiredMessage

          public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
      Parameters:
        `requiredMessage` - - new value

    - #### setSwitchType

          public void setSwitchType(javax.el.ValueExpression __switchType)

      Tabs switch mode: "client", "server"(default), "ajax" Setter for switchType
      Parameters:
        `switchType` - - new value

    - #### setTabClass

          public void setTabClass(javax.el.ValueExpression __tabClass)

      A CSS class to be applied to all tabs Setter for tabClass
      Parameters:
        `tabClass` - - new value

    - #### setValidator

          public void setValidator(javax.el.MethodExpression __validator)

      MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
      Parameters:
        `validator` - - new value

    - #### setValidatorMessage

          public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

      A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
      Parameters:
        `validatorMessage` - - new value

    - #### setValueChangeListener

          public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

      Listener for value changes Setter for valueChangeListener
      Parameters:
        `valueChangeListener` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Width of a tab panel defined in pixels or in percents. The default value is 100% Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `TabPanelTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `TabPanelTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.